From: Felix Fietkau <nbd@openwrt.org>
Date: Mon, 20 Apr 2015 15:00:13 +0000 (+0000)
Subject: mac80211: fallback to wpa_supplicant to setup encrypted mesh
X-Git-Url: http://git.cdn.openwrt.org/?a=commitdiff_plain;h=e2e2fb168b33c24e61e01e7a2697c035a94ca7b9;p=openwrt%2Fstaging%2Fsvanheule.git

mac80211: fallback to wpa_supplicant to setup encrypted mesh

instead of failing when authsae is not installed, also try using
wpa_supplicant as the newly added -mesh variants support mesh mode
and SAE encryption.

Signed-off-by: Daniel Golle <daniel@makrotopia.org>

SVN-Revision: 45520
---

diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index ec0966ea8d..d2641a49c4 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -595,16 +595,15 @@ mac80211_setup_vif() {
 				[ -n "$mp_val" ] && iw dev "$ifname" set mesh_param "$var" "$mp_val"
 			done
 
-			# authsae
+			# authsae or wpa_supplicant
 			json_get_vars key
 			if [ -n "$key" ]; then
 				if [ -e "/lib/wifi/authsae.sh" ]; then
 					. /lib/wifi/authsae.sh
 					authsae_start_interface || failed=1
 				else
-					wireless_setup_vif_failed AUTHSAE_NOT_INSTALLED
-					json_select ..
-					return
+					wireless_vif_parse_encryption
+					mac80211_setup_supplicant || failed=1
 				fi
 			fi
 		;;